<div class="container card bg-dark text-white">
    <div class="card-header">
        Crear Juego
        <button type="button" class="close btn-danger " aria-label="Close" routerLink="/juegos">
            <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="card-body">
        <form #juegoform="ngForm">
            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Título</label>
                <div class="col-sm-6">
                    <input class="form-control" type="text" [(ngModel)]="juego.titulo" name="titulo" required
                        #titulo="ngModel">
                    <div class="alert alert-danger" *ngIf="titulo.invalid && titulo.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="titulo.errors.required">
                            El campo titulo es obligatorio
                        </div>
                    </div>

                </div>
            </div>

            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Fecha de Lanzamiento</label>
                <div class="col-sm-6">
                    <input class="form-control" type="date" [(ngModel)]="juego.fechaLanzamiento" name="fechaNacimiento"
                        required #fechaN="ngModel">
                    <div class="alert alert-danger" *ngIf="fechaN.invalid && fechaN.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="fechaN.errors.required">
                            Introduzca una fecha de lanzamiento
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">PEGI</label>
                <div class="col-sm-6">
                    <input class="form-control" type="number" [(ngModel)]="juego.pegi" name="pegi" required
                        #pegi="ngModel">
                    <div class="alert alert-danger" *ngIf="pegi.invalid && pegi.touched">
                        <!-- titulo.touched  titulo.dirty-->
                        <div *ngIf="pegi.errors.required">
                            Introduzca un PEGI
                        </div>
                    </div>
                </div>
            </div>

            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Categoria</label>
                <div class="col-sm-6">
                    <select  class="form-control" name="categoria"  [(ngModel)]="juego.categoria" required 
                    #categoria="ngModel">
                        <option>ACTION</option>
                        <option >SPORTS</option>
                        <option >SHOOTER</option>
                    </select>
                    <div class="alert alert-danger" *ngIf="categoria.invalid && categoria.touched">
                
                        <div *ngIf="categoria.errors.required">
                            El campo categoria es obligatorio
                        </div>
                    </div>
                    
                </div>
            </div>

            <div class="form-group row">
                <label for="" class="col-form-label col-sm-2">Compañia</label>
                <div class="col-sm-6">
                    <select [compareWith]="compararComp" multiple class="form-control" [(ngModel)]="juego.companiaDto"
                        name="roles" required>
                        <option *ngFor="let comapania of companias" [ngValue]="comapania">{{ comapania.nombre }}
                        </option>
                    </select>
                </div>
            </div>


            <div class="form-group row">
                <div class="col-sm-6">
                    <button class="btn btn-primary" type="button" (click)="create()" *ngIf="!nuevoJuego"
                        [disabled]="!juegoform.form.valid">Crear</button>
                    <button class="btn btn-primary" type="button" (click)="update()" *ngIf="nuevoJuego"
                        [disabled]="!juegoform.form.valid">Editar</button>
                </div>
            </div>
        </form>
    </div>
</div>